API ReferenceMedia Uploads
Presign a Tumblr media upload
Requires scope: `publish:write`. Returns a presigned URL to PUT media directly to storage, plus the `r2_key`.
Authorization
ApiKey AuthorizationBearer <token>
A personal API key created in the dashboard (Starter, Pro, and Team plans).
In: header
Query Parameters
content_type*string
file_size*integer
File size in bytes.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/tumblr/uploads/presign?content_type=string&file_size=0"{ "upload_url": "string", "r2_key": "string"}Presign a YouTube video upload POST
Requires scope: `publish:write`. Returns a presigned URL to PUT a video (max 4 GB) directly to storage, plus the `r2_key`.
Presign an Instagram media upload GET
Requires scope: `publish:write`. Returns a presigned URL to PUT media directly to storage, plus the `r2_key`.